Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.info
Class ContainerPortletApplicationInfo

    java.lang.Object
      org.jboss.portal.portlet.impl.info.ContainerPortletApplicationInfo

    public class ContainerPortletApplicationInfo

extends java.lang.Object

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`ContainerPortletApplicationInfo(java.lang.String id, java.lang.String defaultNamespace, java.util.Collection<ContainerFilterInfo> filters, java.util.List<ContainerListenerInfo> listeners, ContainerUserInfo user)`

Method Summary
`java.lang.String` | `getDefaultNamespace()`
`java.util.Map<java.lang.String,ContainerFilterInfo>` | `getFilters()`
`java.lang.String` | `getId()`
`java.util.List<ContainerListenerInfo>` | `getListeners()`
`ContainerUserInfo` | `getUser()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerPortletApplicationInfo

    public ContainerPortletApplicationInfo(java.lang.String id,
                                           java.lang.String defaultNamespace,
                                           java.util.Collection<ContainerFilterInfo> filters,
                                           java.util.List<ContainerListenerInfo> listeners,
                                           ContainerUserInfo user)

Method Detail

### getId

    public java.lang.String getId()

### getDefaultNamespace

    public java.lang.String getDefaultNamespace()

### getListeners

    public java.util.List<ContainerListenerInfo> getListeners()

### getFilters

    public java.util.Map<java.lang.String,ContainerFilterInfo> getFilters()

### getUser

    public ContainerUserInfo getUser()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.